<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateVpnGatewayReq StructType
 * @subpackage Structs
 */
class UpdateVpnGatewayReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The url
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $url;
    /**
     * The certificates
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Certificates
     */
    public $certificates;
    /**
     * Constructor method for UpdateVpnGatewayReq
     * @uses UpdateVpnGatewayReq::setNewName()
     * @uses UpdateVpnGatewayReq::setDescription()
     * @uses UpdateVpnGatewayReq::setUrl()
     * @uses UpdateVpnGatewayReq::setCertificates()
     * @param string $newName
     * @param string $description
     * @param string $url
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Certificates $certificates
     */
    public function __construct($newName = null, $description = null, $url = null, \\Losc\CucmBundle\Model\Webservice\StructType\Certificates $certificates = null)
    {
        $this
            ->setNewName($newName)
            ->setDescription($description)
            ->setUrl($url)
            ->setCertificates($certificates);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnGatewayReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnGatewayReq
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get url value
     * @return string|null
     */
    public function getUrl()
    {
        return $this->url;
    }
    /**
     * Set url value
     * @param string $url
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnGatewayReq
     */
    public function setUrl($url = null)
    {
        $this->url = $url;
        return $this;
    }
    /**
     * Get certificates value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Certificates|null
     */
    public function getCertificates()
    {
        return $this->certificates;
    }
    /**
     * Set certificates value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Certificates $certificates
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnGatewayReq
     */
    public function setCertificates(\\Losc\CucmBundle\Model\Webservice\StructType\Certificates $certificates = null)
    {
        $this->certificates = $certificates;
        return $this;
    }
}
